Index: c/src/lib/libbsp/arm/tms570/clock/clock.c
===================================================================
--- c/src/lib/libbsp/arm/tms570/clock/clock.c	(revision d6c67ad526f7c3e32c1be9ebbd025fe725b6fd7c)
+++ c/src/lib/libbsp/arm/tms570/clock/clock.c	(revision b2c252b5cad026b52a02b406a0010b93748efe34)
@@ -86,5 +86,5 @@
   TMS570_RTI.GCTRL = 0;
   TMS570_RTI.CNT[0].CPUCx = tc_prescaler - 1;
-  TMS570_RTI.TBCTRL = 2;
+  TMS570_RTI.TBCTRL = TMS570_RTI_TBCTRL_INC;
   TMS570_RTI.CAPCTRL = 0;
   TMS570_RTI.COMPCTRL = 0;
@@ -93,6 +93,22 @@
   TMS570_RTI.CNT[0].FRCx = 0;
   /* clear interrupts*/
-  TMS570_RTI.CLEARINTENA = 0x00070f0f;
-  TMS570_RTI.INTFLAG = 0x0007000f;
+  TMS570_RTI.CLEARINTENA = TMS570_RTI_CLEARINTENA_CLEAROVL1INT |
+                           TMS570_RTI_CLEARINTENA_CLEAROVL0INT |
+                           TMS570_RTI_CLEARINTENA_CLEARTBINT |
+                           TMS570_RTI_CLEARINTENA_CLEARDMA3 |
+                           TMS570_RTI_CLEARINTENA_CLEARDMA2 |
+                           TMS570_RTI_CLEARINTENA_CLEARDMA1 |
+                           TMS570_RTI_CLEARINTENA_CLEARDMA0 |
+                           TMS570_RTI_CLEARINTENA_CLEARINT3 |
+                           TMS570_RTI_CLEARINTENA_CLEARINT2 |
+                           TMS570_RTI_CLEARINTENA_CLEARINT1 |
+                           TMS570_RTI_CLEARINTENA_CLEARINT0;
+  TMS570_RTI.INTFLAG = TMS570_RTI_INTFLAG_OVL1INT |
+                       TMS570_RTI_INTFLAG_OVL0INT |
+                       TMS570_RTI_INTFLAG_TBINT |
+                       TMS570_RTI_INTFLAG_INT3 |
+                       TMS570_RTI_INTFLAG_INT2 |
+                       TMS570_RTI_INTFLAG_INT1 |
+                       TMS570_RTI_INTFLAG_INT0;
   /* set timer */
   TMS570_RTI.CMP[0].COMPx = TMS570_RTI.CNT[0].FRCx + tc_increments_per_tick;
@@ -100,7 +116,7 @@
   TMS570_RTI.CMP[0].UDCPx = tc_increments_per_tick;
   /* enable interupt */
-  TMS570_RTI.SETINTENA = 0x1;
+  TMS570_RTI.SETINTENA = TMS570_RTI_SETINTENA_SETINT0;
   /* enable timer */
-  TMS570_RTI.GCTRL = 1;
+  TMS570_RTI.GCTRL = TMS570_RTI_GCTRL_CNT0EN;
   /* set timecounter */
   tms570_rti_tc.tc_get_timecount = tms570_rti_get_timecount;
@@ -118,5 +134,5 @@
 static void tms570_clock_driver_support_at_tick( void )
 {
-  TMS570_RTI.INTFLAG = 0x00000001;
+  TMS570_RTI.INTFLAG = TMS570_RTI_INTFLAG_INT0;
 }
 
@@ -157,5 +173,6 @@
 {
   /* turn off the timer interrupts */
-  TMS570_RTI.CLEARINTENA = 0x20000;
+  TMS570_RTI.CLEARINTENA = TMS570_RTI_CLEARINTENA_CLEAROVL0INT |
+                           TMS570_RTI_CLEARINTENA_CLEARINT0;  
 }
 
Index: c/src/lib/libbsp/arm/tms570/console/printk-support.c
===================================================================
--- c/src/lib/libbsp/arm/tms570/console/printk-support.c	(revision d6c67ad526f7c3e32c1be9ebbd025fe725b6fd7c)
+++ c/src/lib/libbsp/arm/tms570/console/printk-support.c	(revision b2c252b5cad026b52a02b406a0010b93748efe34)
@@ -42,5 +42,5 @@
 
   rtems_interrupt_disable(level);
-  while ( ( driver_context_table[0].regs->FLR & 0x100 ) == 0) {
+  while ( ( driver_context_table[0].regs->FLR & TMS570_SCI_FLR_TXRDY ) == 0) {
     rtems_interrupt_flash(level);
   }
@@ -75,5 +75,5 @@
 static int tms570_uart_input( void )
 {
-  if ( driver_context_table[0].regs->FLR & (1<<9) ) {
+  if ( driver_context_table[0].regs->FLR & TMS570_SCI_FLR_RXRDY ) {
       return driver_context_table[0].regs->RD;
   } else {
Index: c/src/lib/libbsp/arm/tms570/console/tms570-sci.c
===================================================================
--- c/src/lib/libbsp/arm/tms570/console/tms570-sci.c	(revision d6c67ad526f7c3e32c1be9ebbd025fe725b6fd7c)
+++ c/src/lib/libbsp/arm/tms570/console/tms570-sci.c	(revision b2c252b5cad026b52a02b406a0010b93748efe34)
@@ -156,5 +156,5 @@
 static void tms570_sci_enable_interrupts(tms570_sci_context * ctx)
 {
-  ctx->regs->SETINT = (1<<9);
+  ctx->regs->SETINT = TMS570_SCI_SETINT_SET_RX_INT;
 }
 
@@ -170,5 +170,5 @@
 static void tms570_sci_disable_interrupts(tms570_sci_context * ctx)
 {
-  ctx->regs->CLEARINT = (1<<9);
+  ctx->regs->CLEARINT = TMS570_SCI_CLEARINT_CLR_RX_INT;
 }
 
@@ -217,20 +217,21 @@
   rtems_termios_device_lock_acquire(base, &lock_context);
 
-  ctx->regs->GCR1 &= ~( (1<<7) | (1<<25) | (1<<24) );
-
-  ctx->regs->GCR1 &= ~(1<<4);    /*one stop bit*/
-  ctx->regs->FORMAT = 0x7;
+  ctx->regs->GCR1 &= ~( TMS570_SCI_GCR1_SWnRST | TMS570_SCI_GCR1_TXENA |
+                        TMS570_SCI_GCR1_RXENA );
+
+  ctx->regs->GCR1 &= ~TMS570_SCI_GCR1_STOP;    /*one stop bit*/
+  ctx->regs->FORMAT = TMS570_SCI_FORMAT_CHAR(0x7);
 
   switch ( t->c_cflag & ( PARENB|PARODD ) ) {
     case ( PARENB|PARODD ):
       /* Odd parity */
-      ctx->regs->GCR1 &= ~(1<<3);
-      ctx->regs->GCR1 |= (1<<2);
+      ctx->regs->GCR1 &= ~TMS570_SCI_GCR1_PARITY;
+      ctx->regs->GCR1 |= TMS570_SCI_GCR1_PARITY_ENA;
       break;
 
     case PARENB:
       /* Even parity */
-      ctx->regs->GCR1 |= (1<<3);
-      ctx->regs->GCR1 |= (1<<2);
+      ctx->regs->GCR1 |= TMS570_SCI_GCR1_PARITY;
+      ctx->regs->GCR1 |= TMS570_SCI_GCR1_PARITY_ENA;
       break;
 
@@ -239,5 +240,5 @@
     case PARODD:
       /* No Parity */
-      ctx->regs->GCR1 &= ~(1<<2);
+      ctx->regs->GCR1 &= ~TMS570_SCI_GCR1_PARITY_ENA;
   }
 
@@ -248,5 +249,6 @@
   ctx->regs->BRS = bauddiv;
 
-  ctx->regs->GCR1 |= (1<<7) | (1<<25) | (1<<24);
+  ctx->regs->GCR1 |= TMS570_SCI_GCR1_SWnRST | TMS570_SCI_GCR1_TXENA |
+                     TMS570_SCI_GCR1_RXENA;
 
   rtems_termios_device_lock_release(base, &lock_context);
@@ -275,5 +277,5 @@
    * Check if we have received something.
    */
-   if ( (ctx->regs->FLR & (1<<9) ) == (1<<9) ) {
+   if ( (ctx->regs->FLR & TMS570_SCI_FLR_RXRDY ) == TMS570_SCI_FLR_RXRDY ) {
       n = tms570_sci_read_received_chars(ctx, buf, TMS570_SCI_BUFFER_SIZE);
       if ( n > 0 ) {
@@ -285,5 +287,5 @@
    * Check if we have something transmitted.
    */
-  if ( (ctx->regs->FLR & (1<<8) ) == (1<<8) ) {
+  if ( (ctx->regs->FLR & TMS570_SCI_FLR_TXRDY ) == TMS570_SCI_FLR_TXRDY ) {
     n = tms570_sci_transmitted_chars(ctx);
     if ( n > 0 ) {
@@ -356,5 +358,5 @@
 
   for ( i = 0; i < n; ++i ) {
-    while ( (ctx->regs->FLR & (1<<11) ) == 0) {
+    while ( (ctx->regs->FLR & TMS570_SCI_FLR_TX_EMPTY ) == 0) {
       ;
     }
@@ -376,5 +378,5 @@
 )
 {
-  return ctx->regs->FLR & (1<<9);
+  return ctx->regs->FLR & TMS570_SCI_FLR_RXRDY;
 }
 
@@ -531,5 +533,5 @@
 
   /* Flush device */
-  while ( ( ctx->regs->FLR & (1<<11) ) > 0 ) {
+  while ( ( ctx->regs->FLR & TMS570_SCI_FLR_TX_EMPTY ) > 0 ) {
     ;/* Wait until all data has been sent */
   }
Index: c/src/lib/libbsp/arm/tms570/pom/tms570-pom.c
===================================================================
--- c/src/lib/libbsp/arm/tms570/pom/tms570-pom.c	(revision d6c67ad526f7c3e32c1be9ebbd025fe725b6fd7c)
+++ c/src/lib/libbsp/arm/tms570/pom/tms570-pom.c	(revision b2c252b5cad026b52a02b406a0010b93748efe34)
@@ -36,4 +36,5 @@
   int i;
   uint32_t vec_overlay_start = 0x08000000;
+  uint32_t temp = 0;
 
   memcpy((void*)vec_overlay_start, bsp_start_vector_table_begin, 64);
@@ -42,12 +43,12 @@
 
   for ( i = 0; i < TMS570_POM_REGIONS; ++i ) {
-    TMS570_POM.REG[i].REGSIZE = TMS570_POM_REGSIZE_DISABLED;
+    TMS570_POM.REG[i].REGSIZE = TMS570_POM_REGSIZE_SIZE(TMS570_POM_REGSIZE_DISABLED);
   }
 
-  TMS570_POM.REG[0].PROGSTART = 0x0 & TMS570_POM_REGADDRMASK;
-  TMS570_POM.REG[0].OVLSTART = vec_overlay_start & TMS570_POM_REGADDRMASK;
-  TMS570_POM.REG[0].REGSIZE = TMS570_POM_REGSIZE_64B;
-
-  TMS570_POM.GLBCTRL = TMS570_POM_GLBCTRL_ENABLE |
-                       (vec_overlay_start & ~TMS570_POM_REGADDRMASK);
+  TMS570_POM.REG[0].PROGSTART = TMS570_POM_PROGSTART_STARTADDRESS(0);
+  TMS570_POM.REG[0].OVLSTART = TMS570_POM_OVLSTART_STARTADDRESS(vec_overlay_start);
+  TMS570_POM.REG[0].REGSIZE = TMS570_POM_REGSIZE_SIZE(TMS570_POM_REGSIZE_64B);
+  TMS570_POM.GLBCTRL = TMS570_POM_GLBCTRL_ON_OFF(0xa) |
+                       TMS570_POM_GLBCTRL_ETO(0xa) |
+                       (TMS570_POM_GLBCTRL_OTADDR(~0) & vec_overlay_start);
 }
